<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_24f5487bd60ba6b30d6285c791a3" . "2460" => base64_decode("c3RyX3Bh" . "ZA=="), "_a08b13e5439bf1e1258f" . "60e9380f41ae" => base64_decode("RG" . "V0" . "YW" . "ls"), "_e2670a71b0605345f16f2b7" . "a8edd4a21" => base64_decode("dWNmaXJzd" . "A=="), "_70809333a0f25" . "4acf7a1ad0c7da" . "dd46b" => base64_decode("Oi" . "A="), "_bd71c3b5c201fc11db82ed14ce42" . "4de5" => base64_decode("aW5fYXJyY" . "Xk="), "_0f10830288c813de185" . "99c12f76694b3" => base64_decode("RGVi" . "dWc="), "_74923e1c0049a84fd020d96f" . "8ae0645d" => base64_decode("SW" . "5m" . "bw" . "=="), "_b742a00ae87756f850c" . "77e0daf4e7a3a" => base64_decode("Cg" . "=="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_bd71c3b5c201fc11db" . "82ed14ce424de5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e2670a71b06053" . "45f16f2b7a8edd4" . "a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_74923e1c0049a84fd020" . "d96f8ae0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a08b13e5439bf1" . "e1258f60e9380f4" . "1ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0f10830" . "288c813d" . "e18599c1" . "2f76694b" . "3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_24f5487bd60ba6b30d6285c" . "791a32460"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e2670a71b060" . "5345f16f2b7a8" . "edd4a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_70809333a0f254acf7a" . "1ad0c7dadd46b"] . $message . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b742a00ae87756f8" . "50c77e0daf4e7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}